=== debian/changelog ===
bifrost (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/0002-Fix-compilation-error-with-custom-unitig-data.patch:
    Fix FTBFS with GCC 15. (Closes: #1096367)
  * d/bifrost.examples: Remove bugs file.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Sep 2025 14:33:42 -0400

bifrost (1.3.1-1) unstable; urgency=medium

  * Source-only upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 09:14:39 +0100

bifrost (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1055593)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 19:53:14 +0100
