=== debian/changelog ===
bifrost (1.3.5-2) unstable; urgency=medium

  * d/watch: version=5
  * Fix build with CMake 4
    Closes: #1112726
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 11:07:24 +0200

bifrost (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.5
  * d/t/data/*: Add example data to git repository.
  * d/bifrost.examples: Bring back examples file.
    Now that there's data to be installed, we can bring back the examples
    file. (Closes: #1117180)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 04 Oct 2025 12:10:45 -0400
