=== debian/control ===
Source: bifrost
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 d-shlibs,
 cmake,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/med-team/bifrost
Vcs-Git: https://salsa.debian.org/med-team/bifrost.git
Homepage: https://github.com/pmelsted/bifrost
Rules-Requires-Root: no

Package: bifrost
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: parallel construction, indexing and querying of de Bruijn graphs
 Bifrost is a command-line tool for sequencing that features a broad
 range of functions, such as indexing, editing, and querying the graph,
 and includes a graph coloring method that maps each k-mer of the graph
 to the genomes it occurs in.
 .
  * Build, index, color and query the compacted de Bruijn graph
  * No need to build the uncompacted de Bruijn graph
  * Reads or assembled genomes as input
  * Output graph in GFA (can be visualized with Bandage), FASTA or binary
  * Graph cleaning: short tip clipping, etc.
  * Multi-threaded
  * No parameters to estimate with other tools
  * Exact or approximate k-mer search of queries

Package: libbifrost0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: library for parallel construction, indexing and querying of de Bruijn graphs
 Libbifrost is the shared library for the command-line tool bifrost for
 sequencing that features a broad range of functions, such as indexing,
 editing, and querying the graph, and includes a graph coloring method
 that maps each k-mer of the graph to the genomes it occurs in.
 .
  * Build, index, color and query the compacted de Bruijn graph
  * No need to build the uncompacted de Bruijn graph
  * Reads or assembled genomes as input
  * Output graph in GFA (can be visualized with Bandage), FASTA or binary
  * Graph cleaning: short tip clipping, etc.
  * Multi-threaded
  * No parameters to estimate with other tools
  * Exact or approximate k-mer search of queries

Package: libbifrost-dev
Architecture: any
Section: libdevel
Depends:
 libbifrost0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: static library and header files for libbifrost
 Libbifrost-dev is the development library for the command-line tool
 bifrost for sequencing that features a broad range of functions, such as
 indexing, editing, and querying the graph, and includes a graph coloring
 method that maps each k-mer of the graph to the genomes it occurs in.
 .
  * Build, index, color and query the compacted de Bruijn graph
  * No need to build the uncompacted de Bruijn graph
  * Reads or assembled genomes as input
  * Output graph in GFA (can be visualized with Bandage), FASTA or binary
  * Graph cleaning: short tip clipping, etc.
  * Multi-threaded
  * No parameters to estimate with other tools
  * Exact or approximate k-mer search of queries
